--- /tmp/imspector/icqprotocolplugin.cpp	2010-11-23 12:53:29.000000000 -0200
+++ icqprotocolplugin.cpp	2012-03-30 23:01:47.000000000 -0300
@@ -10,6 +10,7 @@
  * in the README file. */
 
 #include "imspector.h"
+#include <sys/endian.h>
 
 #define PLUGIN_NAME "ICQ-AIM IMSpector protocol plugin"
 #define PROTOCOL_NAME "ICQ-AIM"
@@ -675,7 +676,7 @@
 					size_t inbytesleft = mylength - 4;
 					size_t outbytesleft = BUFFER_SIZE - 1; /* Trailing \0 */
 					size_t result = iconv(iconv_utf16be_utf8,
-						&inbuf, &inbytesleft, &outbuf, &outbytesleft);
+                                               (const char**) &inbuf, &inbytesleft, &outbuf, &outbytesleft);
 
 					if (result == (size_t) -1)
 					{
@@ -810,7 +811,7 @@
 	GET_TYPE(uint16_t)
 
 # if __BYTE_ORDER == __BIG_ENDIAN
-	*rc = __bswap_16(*rc);
+	*rc = bswap16(*rc); 
 #endif
 
 	return true;
